Bug 450718 - PokerTH fails to build due to boost issues with gcc 4.3
PokerTH fails to build due to boost issues with gcc 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 12:33 EDT by Sindre Pedersen Bjørdal
Modified: 2015-05-04 21:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.34.1-15.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 16:07:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2008-06-10 12:33:15 EDT
Description of problem:
This is similar but somewhat different than #432433 and still appears in boost
releases beyond -11. If it turns out it's really the same bug please do mark as
duplicate.

When trying to build PokerTH I get the following errors: 

"-Isrc/config -Isrc/third_party/tinyxml -Isrc/third_party/libircclient/include
-Isrc/core -Imocs -Iuics -o obj/servergamethread.o
src/net/common/servergamethread.cpp
In file included from /usr/include/boost/date_time/local_time/tz_database.hpp:14,
                 from /usr/include/boost/date_time/local_time/local_time.hpp:19,
                 from /usr/include/boost/date_time.hpp:13,
                 from src/net/serverlobbythread.h:32,
                 from src/net/common/serveracceptthread.cpp:25:
/usr/include/boost/date_time/tz_db_base.hpp:161: error: declaration of 'typedef
class boost::date_time::dst_adjustment_offsets<typename
time_zone_type::time_duration_type> boost::date_time::tz_db_base<time_zone_type,
rule_type>::dst_adjustment_offsets'
/usr/include/boost/date_time/time_zone_base.hpp:76: error: changes meaning of
'dst_adjustment_offsets' from 'class
boost::date_time::dst_adjustment_offsets<typename
time_zone_type::time_duration_type>'
make[1]: *** [obj/serveracceptthread.o] Error 1
make[1]: *** Waiting for unfinished jobs....
In file included from /usr/include/boost/date_time/local_time/tz_database.hpp:14,
                 from /usr/include/boost/date_time/local_time/local_time.hpp:19,
                 from /usr/include/boost/date_time.hpp:13,
                 from src/net/serverlobbythread.h:32,
                 from src/net/common/servergamethread.cpp:22:
/usr/include/boost/date_time/tz_db_base.hpp:161: error: declaration of 'typedef
class boost::date_time::dst_adjustment_offsets<typename
time_zone_type::time_duration_type> boost::date_time::tz_db_base<time_zone_type,
rule_type>::dst_adjustment_offsets'
/usr/include/boost/date_time/time_zone_base.hpp:76: error: changes meaning of
'dst_adjustment_offsets' from 'class
boost::date_time::dst_adjustment_offsets<typename
time_zone_type::time_duration_type>'
make[1]: *** [obj/servergamethread.o] Error 1
make[1]: Leaving directory `/home/foolish/rpmbuild/BUILD/PokerTH-0.6.2-src'
make: *** [sub-pokerth_lib-pro-make_default-ordered] Error 2"

After poking the PokerTH people, they pointed me at this debian bug report with
similar results (although against different package):
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=468061

Version-Release number of selected component (if applicable):
boost-1.34.1-13.fc9.i386


Steps to Reproduce:
1. get the source code for PokerTH at
http://heanet.dl.sourceforge.net/sourceforge/pokerth/PokerTH-0.6.2-src.tar.bz2
2. Untar, qmake-qt4 pokerth.pro && make
3. Voila
Comment 1 Fedora Update System 2008-06-12 08:09:57 EDT
boost-1.34.1-15.fc9 has been submitted as an update for Fedora 9
Comment 2 Petr Machata 2008-06-12 08:15:10 EDT
(I have requested a push to testing repo.)
Comment 3 Fedora Update System 2008-06-12 22:23:44 EDT
boost-1.34.1-15.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boost'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5284
Comment 4 Sindre Pedersen Bjørdal 2008-06-13 02:19:12 EDT
Does indeed solve this issue. Thanks.
Comment 5 Fedora Update System 2008-07-30 16:07:40 EDT
boost-1.34.1-15.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.